【学习笔记】数学笔记其四 · 一元函数微分学
2026-07-15
2026-07-18
8548 字 | 43 分钟
统计加载中…… 阅读:    访客: 统计加载失败

如果你是首次进入我的新数学笔记系列,请先点此阅读预告回。

这一章主题是微分。微分嘛,求导,求导谁不会,高中的东西。

所以确实真的没什么题是纯求导的题。全是概念,证明和一些乱七八糟的东西。

题型A: 连续性和可导性#

导数定义为

f′(x0)=lim⁡Δx→0f(x0+Δx)−f(x0)Δxf'(x_0) = \lim_{\Delta x \to 0} \frac{f(x_0 + \Delta x) - f(x_0)}{\Delta x}

这个定义式经常被各种考。在这章里这个公式的频率丝毫不亚于公式求导(高中用的那种)。因为我们常用的求导公式的大前提是函数是连续的。

我们有经典函数

f(x)={x2sin⁡1x,(x≠0),0,(x=0) f(x) =\begin{cases} x^2 \sin \frac{1}{x},& (x\neq 0), \\ 0, &(x=0)\ \end{cases}

该函数的图像。注意它在x=0处可导
该函数的图像。注意它在x=0处可导
若求x=0x=0处的导数,直接公式法得:

f′(x)=2xsin⁡1x+x2⋅cos⁡1x⋅(−1x2)=2xsin⁡1x−cos⁡1xf'(x) = 2x \sin \frac{1}{x} + x^2 \cdot \cos \frac{1}{x} \cdot \left(-\frac{1}{x^2}\right) = 2x \sin \frac{1}{x} - \cos \frac{1}{x}

显然x→0x\to0时cos⁡(∞)\cos(\infty)求不出。这时候使用定义则有:

f′(0)=lim⁡Δx→0f(0+Δx)−f(0)Δx=lim⁡x→0x2sin⁡1x−0x=lim⁡x→0xsin⁡1xf'(0) = \lim_{\Delta x \to 0} \frac{f(0 + \Delta x) - f(0)}{\Delta x} = \lim_{x \to 0} \frac{x^2 \sin \frac{1}{x} - 0}{x} = \lim_{x \to 0} x \sin \frac{1}{x}

到这里已经说明了公式法的必要性。但为什么它“导数的极限不存在”但“导数存在”,我们留到下一章再说。先继续说这个导数定义式

原导数定义隐含了Δx\Delta x从Δx→0+\Delta x\to 0^+和0−0^-两侧极限相等的条件。如果两侧的极限不相等,我们就称函数在点x0x_0处“不可导”。典型如f(x)=∣x∣f(x)=\vert x\vert, 零点左侧导数是-1,右侧导数是1,在原点就是直观的奇点。

这个公式必须理解应用,因为实际应用时不仅要用这个,还要用它的各种变形。

定义式变形#

作一点小巧思,当x0=0x_0=0、f(x)f(x)在x=0x=0可导时:

f′(0)=lim⁡x→0f(sin⁡x)−f(0)tan⁡xf'(0) = \lim_{x \to 0} \frac{f(\sin x) - f(0)}{\tan x}

也是成立的。不过和原导数定义相比,这需要保证当点可导,即保证f(sin⁡x)−f(0)sin⁡x\frac{f(\sin x) - f(0)}{\sin x}的极限存在。L=lim⁡x→0[f(sin⁡x)−f(0)sin⁡x⋅sin⁡xtan⁡x]L=\lim_{x \to 0} \left[ \frac{f(\sin x) - f(0)}{\sin x} \cdot \frac{\sin x}{\tan x} \right]才能倒推回定义。题中经常需要这么做来构造导数定义。

但是:

f′(0)=lim⁡x→0f(x2)−f(0)x2f'(0) = \lim_{x \to 0} \frac{f(x^2) - f(0)}{x^2}

不一定成立。因为x2x^2永远大于等于0,无论xx从左边还是右边来,x2x^2都只能从右侧趋近于0。这个极限如果存在,只能说明右导数f+′(0)f'_+(0)存在,根本无法保证左导数的存在。因此它不能定义f′(0)f'(0)。

导数存在的一个充要条件是左右导数都存在且相等。这一点上和连续很像,连续是”左右极限存在且等于该点函数值”。

27330:49/120/★★★★☆#

设f(x)f(x)是可导的偶函数,它在x=0x=0的某邻域内满足

f(1+x3)−2f(1+sin⁡x3)=x3+o(x3),f(1+x^3)-2f(1+\sin x^3)=x^3+o(x^3),

求曲线y=f(x)y=f(x)在点(−1,f(−1))(-1,f(-1))处的切线方程及法线方程。

目标是求切线,就是要求f(−1)f(-1)与f′(−1)f'(-1)。

我们看到题目等式似乎很适合凑出f′(1)f'(1), 很不巧ff还是偶函数,我们就可以转化为求f(1)f(1)与f′(1)f'(1)。

已知等式在x→0x\to0时有f(1+x3)f(1+x^3)与f(1+sin⁡x3)f(1+\sin x^3), 自然先令x→0x\to0得f(1)f(1);再将等式两边除以x3x^3, 通过加减f(1)f(1)凑出导数定义f(1+Δ)−f(1)Δ\frac{f(1+\Delta)-f(1)}{\Delta}, 并结合sin⁡x3∼x3  (x→0)\sin x^3\sim x^3\;(x\to0)求出f′(1)f'(1)。

解

由可导必连续,对已知等式取x→0x\to0的极限。

lim⁡x→0[f(1+x3)−2f(1+sin⁡x3)]=lim⁡x→0[x3+o(x3)]f(1)−2f(1)=0f(1)=0\begin{align*} \lim_{x\to0}\bigl[f(1+x^3)-2f(1+\sin x^3)\bigr] &= \lim_{x\to0}\bigl[x^3+o(x^3)\bigr] \\ f(1)-2f(1) &= 0 \\ f(1) &= 0 \end{align*}

十分幸运地,分子f(x0+Δx)−f(x0)f(x_0+\Delta x) - f(x_0)中的f(x0)f(x_0)是00, 我们可以直接把它插进去。

为求f′(1)f'(1), 将等式两边同时除以x3x^3, 并向导数定义的形式变形。

f(1+x3)−2f(1+sin⁡x3)x3=1+o(1)f(1+x3)−f(1)x3−2f(1+sin⁡x3)−f(1)x3=1+o(1).\begin{align*} \frac{f(1+x^3)-2f(1+\sin x^3)}{x^3} &= 1+o(1) \\ \frac{f(1+x^3)-f(1)}{x^3}-2\frac{f(1+\sin x^3)-f(1)}{x^3} &= 1+o(1). \end{align*}

第一个分式f(1+x3)−f(1)x3\frac{f(1+x^3)-f(1)}{x^3}的极限显然就是f′(1)f'(1)不提,第二个分式需凑出与sin⁡x3\sin x^3的导数定义sin⁡x3x3\frac{\sin x^3}{x^3}

对上述等式取x→0x\to0的极限:

lim⁡x→0(f(1+x3)−f(1)x3−2⋅f(1+sin⁡x3)−f(1)x3)=1lim⁡x→0(f(1+x3)−f(1)x3⏟→  f′(1)−2⋅f(1+sin⁡x3)−f(1)sin⁡x3⏟→  f′(1)⋅sin⁡x3x3⏟→  1)=1f′(1)−2f′(1)=1f′(1)=−1.\begin{align*} \lim_{x\to0}\left(\frac{f(1+x^3)-f(1)}{x^3} - 2\cdot\frac{f(1+\sin x^3)-f(1)}{x^3}\right) &= 1 \\ \lim_{x\to0} \left(\underbrace{ \frac{f(1+x^3)-f(1)}{x^3} }_{\to\;f'(1) } - 2\cdot\underbrace{ \frac{f(1+\sin x^3)-f(1)}{\sin x^3} }_{ \to\;f'(1) }\cdot\underbrace{ \frac{\sin x^3}{x^3} }_{\to\;1 }\right) &= 1 \\ f'(1) - 2f'(1) &= 1 \\ f'(1) &= -1. \end{align*}

f(1)f(1)和f′(1)f'(1)都求完了。简单收尾

-ff为偶函数,f(−1)=f(1)=0f(-1)=f(1)=0 -ff可导,则f′f'为奇函数,从而f′(−1)=−f′(1)=1f'(-1)=-f'(1)=1。

切线斜率k切=f′(−1)=1k_{\text{切}}=f'(-1)=1, 法线斜率k法=−1k_{\text{法}}=-1。故有

  • 切线方程: y−0=1⋅(x+1)  ⟹  y=x+1y-0=1\cdot(x+1) \;\Longrightarrow\; y=x+1
  • 法线方程: y−0=−1⋅(x+1)  ⟹  y=−x−1y-0=-1\cdot(x+1) \;\Longrightarrow\; y=-x-1

连续可导链体操#

我们有经典梗图:

连续不一定可倒,可倒一定连续
连续不一定可倒,可倒一定连续

但这里还可以进一步说一说。

简单来说,在点态和邻域中,分别有:

f 连续⇐ f 可导⇐ f′ 连续⇐ f′ 可导⇐ f′′ 连续⇐ ⋯\begin{aligned} & f \text{ 连续} \Leftarrow\ f \text{ 可导} \\ \Leftarrow\ & f' \text{ 连续} \Leftarrow\ f' \text{ 可导} \\ \Leftarrow\ & f'' \text{ 连续} \Leftarrow\ \cdots \end{aligned}

要详细说明,我们先定义一套符号表示这些东西:

符号标准数学语言含义
p1p_1f∈C0(x0)f \in C^0(x_0)ff在x0x_0处连续
P1P_1∃f′(x0)\exists f'(x_0)ff在x0x_0处可导
p1Up_{1}^Uf∈C0(U)f \in C^0(U)ff在UU内处处连续
P1UP_{1}^U∃f′(x),x∈U\exists f'(x), x \in Uff在UU内处处可导
p2p_2f′∈C0(x0)f' \in C^0(x_0)f′f'在x0x_0处连续
P2P_2∃f′′(x0)\exists f''(x_0)ff在x0x_0处二阶可导
(f′f'在该点可导)
p2Up_{2}^Uf∈C1(U)f \in C^1(U)f′f'在UU内处处连续
P2UP_{2}^U∃f′′(x),x∈U\exists f''(x), x \in Uff在UU内处处二阶可导
我们有三条规则可以联系它们:
  • 可导必定连续,导数连续必定可导 -Pk  ⟹  pk  ⟹  Pk−1  ⟹  pk−1P_k \implies p_k \implies P_{k-1} \implies p_{k-1} -PkU  ⟹  pkU  ⟹  Pk−1U  ⟹  pk−1UP_k^U \implies p_k^U \implies P_{k-1}^U \implies p_{k-1}^U
  • 局部必有点态 -PkU  ⟹  PkP_k^U \implies P_k -pkU  ⟹  pkp_k^U \implies p_k
  • 高阶点态连续要求低阶局部可导 -pk+1  ⟹  PkUp_{k+1} \implies P_k^U

画成图示:

graph TD classDef qNode fill:#d3e3fd,stroke:#0b57d0,color:#041e49,stroke-width:2px; classDef pNode fill:#c4eed0,stroke:#146c2e,color:#0f5223,stroke-width:2px; %% 节点定义 q2U["P2U: 邻域二阶可导<br/>(f''在U内存在)"]:::qNode p2U["p2U: 邻域一阶导连续<br/>(f'在U内连续)"]:::pNode q2dot["P2: 点处二阶可导<br/>(f''在x0处存在)"]:::qNode p2dot["p2: 点处一阶导连续<br/>(f'在x0处连续)"]:::pNode q1U["P1U: 邻域一阶可导<br/>(f'在U内存在)"]:::qNode p1U["p1U: 邻域连续<br/>(f 在U内连续)"]:::pNode q1dot["P1: 点处一阶可导<br/>(f'在x_0处存在)"]:::qNode p1dot["p1: 点处连续<br/>(f 在x_0处连续)"]:::pNode %% 强弱主干链 q2U --> p2U p2U --> p2dot p2dot --> q1U q1U --> p1U p1U --> p1dot %% 点态分支链 q2U --> q2dot q2dot --> p2dot q1U --> q1dot q1dot --> p1dot

这8个命题中的任何两个本质都不相同。注意f’存在和f可导是等价的。另外提一句,再往上接四个节点可以无缝衔接二阶导。

  1. 邻域连续推不出点态可导(p1U⇏P1p_{1U} \nRightarrow P_1)

函数f(x)=∣x∣f(x) = |x|在00的邻域内连续,但在00点不可导。

邻域连续推不出点态可导 - 绝对值函数
邻域连续推不出点态可导 - 绝对值函数

  1. 点态可导推不出邻域连续(P1⇏p1UP_1 \nRightarrow p_{1U})

函数f(x)=x2D(x)f(x) = x^2 D(x)(D(x)D(x)为狄利克雷函数) 在x=0x=0处不仅连续甚至可导(导数为0),但在00的任何邻域内,除了00点以外处处不连续。

点态可导推不出邻域连续 - 狄利克雷函数
点态可导推不出邻域连续 - 狄利克雷函数
3. 邻域可导推不出导函数在点态连续(P1U⇏p2⋅P_{1U} \nRightarrow p_{2\cdot})

函数f(x)=x2sin⁡(1/x)f(x) = x^2 \sin(1/x)(f(0)=0f(0)=0)。它在任何邻域内处处可导,但它的导函数在00处发生剧烈振荡,因而不连续。

邻域可导推不出导函数在点态连续 - x2sin1/x
邻域可导推不出导函数在点态连续 - x2sin1/x

  1. 邻域连续、点处可导推不出邻域可导

f(x)=xW(x)f(x)=xW(x)。W(x)W(x)处处连续而处处不可导,但xW(x)xW(x)在x=0x=0处可导。

邻域连续+一阶可导无法推出邻域一阶可导
邻域连续+一阶可导无法推出邻域一阶可导

TIP

命题a: 由f′(x)f'(x)在点态连续知f(x)f(x)在邻域可导

扩展到负一阶导:

命题b: 由g(x)g(x)连续知G(x)=∫axf(t) dtG(x)=\int_a^x f(t)\,\mathrm{d}t在邻域可导

是不成立的。

当我们说“函数h(x)=f′(x)h(x) = f'(x)在x0x_0处连续”时,数学上的严格定义是:

lim⁡x→x0f′(x)=f′(x0)\lim_{x \to x_0} f'(x) = f'(x_0)

为了让lim⁡x→x0f′(x)\lim_{x \to x_0} f'(x)这个极限存在且能够被讨论,函数f′(x)f'(x)必须在x0x_0的某个去心邻域内存在。也就是说,存在一个包含x0x_0的区间UU, 在这个区间里的每一个点xx, f′(x)f'(x)都是有意义(存在)的。这完全等价于“f(x)f(x)在区间UU内可导”。 所以前者的成立并不是通过什么高深的定理推导出来的,而是“导函数连续”这个概念本身就强行要求了导数在邻域内存在。

我们可以构造一个满足条件但结论不成立的反例:

f(x)={1n,x∈(1n+1,1n],n∈Z+0,x=0f(x)=\begin{cases} \frac{1}{n}, &x \in \left( \frac{1}{n+1}, \frac{1}{n} \right], n\in\mathbb{Z}^+ \\ 0, &x=0 \end{cases}
  1. f(x)f(x)在x0=0x_0 = 0处连续. 因为x→0x\to 0时f(x)=1n→0f(x) = \frac{1}{n}\to 0.
  2. F(x)=∫0xf(t) dtF(x) = \int_0^x f(t)\,\mathrm{d}t存在. f(x)f(x)黎曼可积.
  3. F(x)F(x)在x=0x=0的任意邻域内不可导.

注意x=1nx = \frac{1}{n}一系列点有:

1n=f(1/n−)=F−′(1/n)≠F+′(1/n)=f(1/n+)=1n−1\frac{1}{n}=f(1 /n^{-})=F'_-(1/n)\neq F'_+(1/n) = f(1/n^+) = \frac{1}{n-1}

所以F(x)F(x)在所有x=1nx = \frac{1}{n}处都不可导。所以无论你找多么小的、包含0的邻域UU, 里面都必然包含无穷多个点使得F(x)F(x)不可导。

在我们平时的计算中,大家已经习惯了无脑写出G′(x)=(∫axg(t) dt)′=g(x)G'(x) = \left( \int_a^x g(t)\,\mathrm{d}t \right)' = g(x)。但这并不是无条件成立的。比如:

f(x)={0,x≠01,x=0F(x)=∫0xf(t) dt=0F′(x)=0F′(0)≠f(0)\begin{align*} f(x)&=\begin{cases} 0,\qquad x\neq 0 \\ 1,\qquad x=0 \end{cases} \\ F(x)&=\int_0^x f(t)\,\mathrm{d}t=0 \\ F'(x)&=0 \\ F'(0)&\neq f(0) \end{align*}

此处的f(x)f(x), 它就是不可能作为任何函数的导数存在的。当然这是一个不连续的

细说的话会拐到实分析去,我们就此结束。好奇者请自行使用考纲内定理证明达布定理。

27330:35/120/★★★☆☆#

设

f(x)={ax2+bsin⁡x+2c,x≤0,ln⁡(1+x),x>0.f(x) = \begin{cases} ax^2 + b\sin x + 2c, & x \le 0, \\ \ln(1+x), & x > 0. \end{cases}

问a,b,ca,b,c为何值时,f(x)f(x)在x=0x=0处一阶导数连续,但二阶导数不存在。

要使得这个函数一阶导数连续、二阶导数不存在,也就是使得:

1.f(x)f(x)连续、可导 2.f′(x)f'(x)连续、不可导

这些条件就足够我们确定这三个常数了

解

先处理连续性。连续是可导的前提。

由f(x)f(x)在x=0x=0处连续,得

f(0)=lim⁡x→0−f(x)=lim⁡x→0+f(x)2c=0c=0\begin{align*} f(0) &= \\ \lim_{x \to 0^-} f(x) &= \lim_{x \to 0^+} f(x) \\ 2c &= 0 \\ c &= 0 \end{align*}

现在利用连续性求一阶导数。注意f′(0)f'(0)必须用定义计算。

当x<0x<0时,f′(x)=2ax+bcos⁡xf'(x) = 2ax + b\cos x; 当x>0x>0时,f′(x)=11+xf'(x) = \dfrac{1}{1+x}。

由一阶导数连续得:

f−′(0)=f+′(0)lim⁡x→0−(2ax+bcos⁡x)=lim⁡x→0+11+xb=1.\begin{align*} f'_-(0) &= f'_+(0) \\ \lim_{x \to 0^-} (2ax + b\cos x) &= \lim_{x \to 0^+} \frac{1}{1+x}\\ b &= 1. \end{align*}

此时f′(0)=1f'(0) = 1, 且lim⁡x→0f′(x)=f′(0)\lim_{x \to 0} f'(x) = f'(0)自然成立。

现在考察二阶导数。写出两侧的二阶导数表达式,再求左右极限。

当x<0x<0时,f′′(x)=2a−bsin⁡x=2a−sin⁡xf''(x) = 2a - b\sin x = 2a - \sin x; 当x>0x>0时,f′′(x)=−1(1+x)2f''(x) = -\dfrac{1}{(1+x)^2}。

要使二阶导数不存在,只需左右二阶导数不相等即可。

f−′′(0)≠f+′′(0)lim⁡x→0−(2a−sin⁡x)≠lim⁡x→0+(−1(1+x)2)2a≠−1a≠−12\begin{align*} f''_-(0) &\neq f''_+(0) \\ \lim_{x \to 0^-} (2a - \sin x) &\neq \lim_{x \to 0^+} \left(-\frac{1}{(1+x)^2}\right) \\ 2a &\neq -1 \\ a &\neq -\dfrac{1}{2} \end{align*}

综上,f(x)f(x)在x=0x=0处一阶导数连续但二阶导数不存在的充要条件为

{a≠−12,b=1,c=0\begin{cases} a \neq -\frac{1}{2}, \\ b = 1, \\ c = 0 \end{cases}

题型B: 求导#

这类题型基本上是各种上下左右求导。有简单的题也有n阶导这类上限极高的。简单的一道如:

27330:75/120/★★★★☆#

设f(x)=arctan⁡xf(x)=\arctan x, 求f(n)(0)f^{(n)}(0).

求函数在一点的高阶导数,直接逐阶求导会非常繁琐。初等函数的麦克劳林展开式中,系数与高阶导数有直接关系: an=f(n)(0)n!a_n = \dfrac{f^{(n)}(0)}{n!}。这个关系的利用在特定点nn阶导中非常常见。

只要知道arctan⁡x\arctan x的展开式,就可直接求出任意阶导数在00处的值。

由

f′(x)=11+x2=∑k=0∞(−1)kx2k(∣x∣<1),f'(x) = \frac{1}{1+x^2} = \sum_{k=0}^\infty (-1)^k x^{2k} \quad (|x|<1),

且f(0)=0f(0)=0, 逐项积分得

f(x)=∑k=0∞(−1)k2k+1x2k+1.f(x) = \sum_{k=0}^\infty \frac{(-1)^k}{2k+1} x^{2k+1}.

又由泰勒展开式

f(x)=∑n=0∞f(n)(0)n!xn,f(x) = \sum_{n=0}^\infty \frac{f^{(n)}(0)}{n!} x^n,

比较系数:

  • 当n=2kn=2k(偶数)时,f(2k)(0)(2k)!=0  ⟹  f(2k)(0)=0\displaystyle\frac{f^{(2k)}(0)}{(2k)!} = 0 \;\Longrightarrow\; f^{(2k)}(0) = 0;
  • 当n=2k+1n=2k+1(奇数)时,
f(2k+1)(0)(2k+1)!=(−1)k2k+1  ⟹  f(2k+1)(0)=(−1)k(2k)!\displaystyle\frac{f^{(2k+1)}(0)}{(2k+1)!} = \frac{(-1)^k}{2k+1} \;\Longrightarrow\; f^{(2k+1)}(0) = (-1)^k (2k)!

故

f(n)(0)={0,n 为偶数,(−1)n−12(n−1)!,n 为奇数.f^{(n)}(0) = \begin{cases} 0, & n \text{ 为偶数}, \\ (-1)^{\frac{n-1}{2}}(n-1)!, & n \text{ 为奇数}. \end{cases}

27330:73/120/★★★★☆#

设函数f(x)f(x)在(−∞,+∞)(-\infty, +\infty)上二阶连续可导,且对任意的xx与hh满足

f(x+h)−f(x)=hf′(x+h2)f(x+h)-f(x)=hf'\left(x+\frac{h}{2}\right)

求证: f(x)=ax2+bx+cf(x)=ax^2+bx+c, 其中a,b,ca, b, c为常数。

已知条件对任意值成立这种任意满足关系式,高中阶段也是能看到的。这类题我们主要通过取极值、取对称值互相加减来得到新关系式。

题目要证明f(x)f(x)是一个二次函数。这类函数如何从推导中出现呢?

我们可以通过证明f′′(x)f''(x)是一个常数C,这样通过两次积分就能得到f(x)=ax2+bx+cf(x)=ax^{2}+bx+c了。

另一个需要注意的点是题目没有说f(x)f(x)三阶可导,所以我们全过程都必须在二阶开始打住。

至于何来思路,这种题最开始的尝试中 代0 一定是对 任意满足关系式 题型必不可少的尝试

原式令x=0x=0可得:

f(x+h)−f(x)=hf′(x+h2)f(h)=f(0)+hf′(h2)\begin{align*} f(x+h)-f(x)&=hf'\left(x+\frac{h}{2}\right) \\ f(h)&=f(0)+hf'\left( \frac{h}{2} \right) \tag{1} \end{align*}

另外我们有f(x)f(x)二阶可导。也不要忘了求导试试,毕竟那个显眼包h2\frac{h}{2}肯定不是白给你的,最后总会有一个合适的形态解释出来的。

或许是乘上了22, 或许是乘上hh变成h22\frac{h^{2}}{2}然后导下去。

原式对hh求导、并且令x=−h2x=-\frac{h}{2}可得:

f(x+h)−f(x)=hf′(x+h2)f′(x+h)=f′(x+h2)+h2f′′(x+h2)f′(h2)=f′(0)+h2f′′(0)\begin{align*} f(x+h)-f(x)&=hf'\left(x+\frac{h}{2}\right) \\ f'(x+h)&=f'\left( x+\frac{h}{2} \right) + \frac{h}{2}f''\left( x+\frac{h}{2} \right) \\ f'\left( \frac{h}{2} \right)&=f'\left( 0 \right) + \frac{h}{2}f''\left( 0 \right) \tag{2} \end{align*}

“令x=−h2x=-\frac{h}{2}”那步可以在草纸上求完导再发现。当我们注意到求导之后式子里出现两个(x+h2)\left( x+\frac{h}{2} \right)时就该考虑这件事了,把自变量凑成0一直都是很重要的事。

我们现在通过代数值和求导造出了两个式子。其中式(2)(2)是式(1)(1)的一部分,使得h2\frac{h}{2}得以通过hf′(h2)hf'\left( \frac{h}{2} \right)乘到一个hh。

将(2)(2)代入(1)(1)得:

f(h)=f(0)+hf′(h2)f(h)=h[f′(0)+h2f′′(0)]f(h)=f(0)+hf′(0)+h22f′′(0)\begin{align*} f(h)&=f(0)+hf'\left( \frac{h}{2} \right) \\ f(h)&=h\left[ f'\left( 0 \right) + \frac{h}{2}f''\left( 0 \right) \right] \\ f(h)&=f(0)+hf'(0)+\frac{h^{2}}{2}f''(0) \end{align*}

这就是f(x)f(x)标准的麦克劳林前三项了。

至于下一步证明…什么证明,这不已经是二次函数了吗?

故f(x)=ax2+bx+cf(x)=ax^{2}+bx+c。其中a=f′′(0)2,b=f′(0),c=f(0)a=\frac{f''(0)}{2},b=f'(0),c=f(0).

题型C: 函数性质#

函数性质,就是要求单调性、凹凸性、极值、最值、零点、拐点。

这些概念不过了。高中都学过。问题在于考研里这些题要么公式化,要么就是初见杀。公式化的题如证明

1−x1+x<ln⁡(1+x)arcsin⁡x(0<x<1)\sqrt{\dfrac{1-x}{1+x}}<\dfrac{\ln(1+x)}{\arcsin x} \quad (0<x<1)

这种糊起来最简单了。左右乘过去方便求导,求个值点,求个导数就证毕了,跟高中甚至都没什么区别。问题是那些初见杀:

27330:57/120/★★★★☆#

设f(x),g(x)f(x), g(x)在点x=0x=0的某邻域内连续,且f(x)f(x)具有一阶连续导数,并有

lim⁡x→0g(x)x=2,f′(x)=−2x2+∫0xg(x−t)dt,\lim_{x \to 0} \frac{g(x)}{x} = 2, \quad f'(x) = -2x^2 + \int_{0}^{x} g(x-t)\mathrm{d}t,

求曲线y=f(x)y=f(x)的一个拐点。

f′′(x)f''(x)在x0x_0的左右两侧异号(一正一负),则x0x_{0}是ff的一个拐点。

这道题是一个简单的题。原因摆在题面上:

  1. 我们已经明显看到f′(x)f'(x), 我们直接求导就行。
  2. ∫0xg(x−t)dt\int_{0}^{x} g(x-t)\mathrm{d}t是一个标准的不能再标准的区间再现公式。

关于区间再现我会在积分那边讲。尽管形式上我们要写一下u=x−tu=x-t, 但你草纸上直接写∫0xg(t)dt\int_{0}^{x} g(t)\mathrm{d}t就行。当然形式上基本积分换元推导要推熟练,还是那句话,有些东西本质推导熟练了背下来才算掌握了。

我们先把第一步速通了

解

令u=x−tu=x-t, 将积分化为∫0xg(u) du\int_0^x g(u)\,\mathrm{d}u, 以便求导。

f′(x)=−2x2+∫0xg(x−t) dt=−2x2+∫0xg(u) du.f'(x) = -2x^2 + \int_0^x g(x-t)\,\mathrm{d}t = -2x^2 + \int_0^x g(u)\,\mathrm{d}u.

gg连续,由微积分基本定理,f′(x)f'(x)可导,对其求导得f′′(x)f''(x)。

f′′(x)=−4x+g(x).f''(x) = -4x + g(x).

二阶段,注意题目条件lim⁡x→0g(x)x=2\lim_{x \to 0} \frac{g(x)}{x} = 2实质上隐藏了两个条件:

  • g(x)→0g(x)\to 0, 即g(0)=0g(0)=0
  • g′(0)=2g'(0)=2。注意g(x)g(x)是连续的,我们才能说g′(0)g'(0)存在。

由lim⁡x→0g(x)x=2\lim\limits_{x\to0}\frac{g(x)}{x}=2及gg连续,得g(0)=0g(0)=0, 于是f′′(0)=0f''(0)=0.

为判定x=0x=0是否为拐点,需考察f′′(x)f''(x)在x=0x=0两侧是否变号。将f′′(x)f''(x)写成x(g(x)x−4)x(\frac{g(x)}{x}-4), 利用极限的保号性即可。

f′′(x)=x(g(x)x−4).f''(x) = x\left(\frac{g(x)}{x}-4\right).

由lim⁡x→0g(x)x=2\lim_{x \to 0} \frac{g(x)}{x} = 2, 显然(g(x)x−4)\left(\frac{g(x)}{x}-4\right)在x→0+x\to 0^+和x→0−x\to 0^-不变号,而xx变号。f′′(x)f''(x)在x=0x=0两侧由正变负。故点(0,f(0))(0, f(0))为曲线y=f(x)y=f(x)的一个拐点。

f(0)f(0)无法由已知条件确定,因为只给了f′f', 保留即可。

所求拐点为(0,f(0))(0, f(0)).

27330:65/120/★★★★★#

已知任意x∈(−∞,+∞)x \in (-\infty, +\infty),f′′(x)≥0f''(x) \ge 0, 且0≤f(x)≤1−e−x20 \le f(x) \le 1 - e^{-x^2}, 求f(x)f(x)。

我的天哪五星题大人。

很多证明题在几何理解上十分直观,实际上并不好证。最难的一点就是找到矛盾在哪。我们尝试用一种既直观又严谨的语言理解:

条件f′′(x)≥0f''(x)\ge0表明ff是凹函数,而1−e−x21-e^{-x^2}是一个有渐近线y=1y=1的函数。条件要求f(x)f(x)从(0,0)(0,0)开始:

  • 在x轴和图中红线之间的区域前进
  • 永远不往右打方向盘

另一个隐藏前提: f(x)f(x)在从(0,0)(0,0)向右出门的那一刻起的方向(即f′(0)f'(0))一定是0。否则出门的第一步就会走出红线。

而只允许f(x)f(x)往左打方向盘的话,无论f(x)f(x)多微小地往左打一点方向盘,它都必然会冲破y=1y=1。*注意: 我们这里其实是反证法

所以唯一的解就是不打方向盘,f(x)f(x)永远笔直地往右走,即y=0y=0。

解

由f′′(x)≥0f''(x)\ge0知ff为R\mathbb{R}上的凹函数。

反证: 若非常数,由凹性可推出ff无上界(即突出y=0y=0和y=1y=1包围圈),与已知矛盾。

先假设有两个点使得斜率不为0,然后凹性使得某一侧的斜率会持续不靠近0(斜率不会回落到水平),然后可以得证。

假设ff不恒为常数,则存在a<ba<b使得f(a)≠f(b)f(a)\neq f(b)。不妨设f(a)<f(b)f(a)<f(b)。由凹函数的割线斜率递增性,对任意x>bx>b有

f(x)−f(b)x−b≥f(b)−f(a)b−a.\frac{f(x)-f(b)}{x-b} \ge \frac{f(b)-f(a)}{b-a}.

b-c的斜率必然大于a-b的斜率;反向同理
b-c的斜率必然大于a-b的斜率;反向同理

于是,必定有一边的斜率一直增大而永远不会像sin⁡x\sin x一样摆动。这一边我们称之为a<b<xa<b<x中xx所在的一边。这一边必将冲向无穷大。

于是有

f(x)≥f(b)+f(b)−f(a)b−a(x−b)→x→+∞+∞,f(x) \ge f(b) + \frac{f(b)-f(a)}{b-a}(x-b) \xrightarrow{x\to+\infty} +\infty,

与f(x)≤1−e−x2≤1f(x)\le 1-e^{-x^2}\le 1矛盾。同理,若f(a)>f(b)f(a)>f(b), 令x→−∞x\to-\infty亦得矛盾。

故ff必为常值函数,设f(x)≡Cf(x)\equiv C。

利用原点处的夹逼求出常数。

在x=0x=0处,由0≤f(0)≤1−e0=00\le f(0)\le 1-e^{0}=0得f(0)=0f(0)=0, 从而C=0C=0。因此

f(x)=0.f(x)=0.

很多题的共性是要先理解题意、再知道如何把一些脑子里的直观步骤写到纸上。真正的推导链条并不复杂,至少没有近代数学那些推导那么复杂。

哦对了微积分发明那个年代好像根本不在乎严谨推导。无所谓了,我们甚至都能用洛必达这么方便的东西了。

27330:66/120/★★★★★#

设f(x)f(x)是一多项式,f(x)≥x,f(x)≥1−xf(x) \ge x, f(x) \ge 1-x, 证明f(12)>12f\left(\frac{1}{2}\right) > \frac{1}{2}。

我的天哪…

抓不到矛盾的话,先看图说话吧。图解很好理解。

多项式是光滑的
多项式是光滑的

先说矛盾: 矛盾在于,条件给出了的下界包含一个尖点,而:

  • 尖点的位置正好就是题目中要求的(12,12)\left( \frac{1}{2}, \frac{1}{2}\right).
  • f(x)≥xf(x) \ge x和f(x)≥1−xf(x) \ge 1-x都支持f(12)≥12f\left( \frac{1}{2} \right) \ge \frac{1}{2}.
  • f(12)>12f\left( \frac{1}{2} \right) \gt \frac{1}{2}是合理的,要证伪的是f(12)=12f\left( \frac{1}{2} \right) = \frac{1}{2}.也就排除这种可能性

那么我们要看另一个条件: f(x)f(x)是一多项式。如果它经过(12,12)\left( \frac{1}{2}, \frac{1}{2} \right)点:

  • ff是多项式。多项式是光滑的。
  • ff先要同时大于左右两个下界,又要满足这个尖点,ff自身必然会贴到这个尖角里,形成尖点。
  • 光滑的多项式里不能形成尖点。多项式处处无限可导。
  • 这迫使f′(12)f'(\frac{1}{2})同时等于两条直线的斜率11和−1-1, 矛盾。

证明

令g(x)=f(x)−xg(x)=f(x)-x, h(x)=f(x)−(1−x)h(x)=f(x)-(1-x)。依题意,对任意xx有g(x)≥0g(x)\ge0, h(x)≥0h(x)\ge0。

假设f(12)=12f(\frac{1}{2})=\frac{1}{2}, 则

g ⁣(12)=0,h ⁣(12)=0.g\!\left(\frac{1}{2}\right)=0,\qquad h\!\left(\frac{1}{2}\right)=0.

即x=12x=\frac{1}{2}同时为g(x)g(x)与h(x)h(x)的最小值点。因ff为多项式,可导,故

g′ ⁣(12)=0,h′ ⁣(12)=0.g'\!\left(\frac{1}{2}\right)=0,\quad h'\!\left(\frac{1}{2}\right)=0.

而g′(x)=f′(x)−1g'(x)=f'(x)-1, h′(x)=f′(x)+1h'(x)=f'(x)+1, 代入得

f′ ⁣(12)−1=0,f′ ⁣(12)+1=0,f'\!\left(\frac{1}{2}\right)-1=0,\qquad f'\!\left(\frac{1}{2}\right)+1=0,

矛盾。故假设不成立,从而

f ⁣(12)>12.f\!\left(\frac{1}{2}\right)>\frac{1}{2}.

这道题很妙地用到了多项式可导这个性质。也让我想到了一些很形象的场面,比如你绝对不可能把手指完美挤进一个直角墙角里,因为你的手指皮肤不能弯成那么完美的直角,一定会留下一个小空间 belike:

27330:71/130+/★★★★★#

设f(x)f(x)在区间(−∞,+∞)(-\infty, +\infty)上存在二阶导数,f(0)<0,f′′(x)>0f(0) < 0, f''(x) > 0. 试证明: (1) 在(−∞,+∞)(-\infty, +\infty)上f(x)f(x)至多有 2 个零点,至少有 1 个零点; (2) 若的确有 2 个零点x1x_1与x2x_2, 则x1x2<0x_1x_2 < 0.

我的天哪130+的题

其实这里的题型C是我为数不多能全过130+,5*题的类型。所以肯定要多讲讲。

这道题和65题有异曲同工之妙,都利用了二阶导数锚定一阶导数,进而锚定的单调性解题。

三种符合条件的函数,有1或2个零点
三种符合条件的函数,有1或2个零点

条件f′′(x)>0f''(x)>0表明函数严格凹,因此零点个数至多两个;同时,结合f(0)<0f(0)<0与导数的单调性,利用拉格朗日中值定理可证函数必在某方向趋于正无穷,从而穿过xx轴,保证至少有一个零点。若恰有两个零点,由严格凹性知f(0)<0f(0)<0必须落在两零点之间,从而它们异号。

  • 函数有f(0)<0f(0)<0。假设我们从(0,−1)(0,-1)出发
  • 出发点的斜率是正或负?我们考虑两种情况:
    • A: x>0x>0方向,f′(0)≥0f'(0)\geq 0或x<0x<0方向,f′(0)≤0f'(0)\leq 0。这时这个方向必定有零点。条件会使得f(x)f(x)在该轴方向严格单调。必只有一个零点(如图中红色、绿色两函数)
    • B: x>0x>0方向,f′(0)≤0f'(0)\leq 0或x<0x<0方向,f′(0)≥0f'(0)\geq 0。这时这个方向是否有零点取决于方向是否会从另一侧再次向上。
      红色的函数有两个零点,橙色的没有
      红色的函数有两个零点,橙色的没有
      我们显然发现在情况B下,驻点是产生返回现象重要的转折点。顺理成章地,根据条件f′′(x)>0f''(x)>0意味着f′f'严格递增,从而ff至多有一个驻点。

我们先利用罗尔定理(用别的也可以)推出零点个数与驻点个数的关系,证出“至多两个零点”;再结合f(0)<0f(0)<0与凸函数的切线性质证出“至少一个零点”。第(2)问则利用严格凸函数在两点间恒在连线下方,结合f(0)<0f(0)<0导出两零点必分居原点两侧。

**解: **

(1). 若f(x)f(x)有三个互异零点x1<x2<x3x_1<x_2<x_3, 由罗尔定理,f′(x)f'(x)在(x1,x2)(x_1,x_2)与(x2,x3)(x_2,x_3)内各至少有一个零点,这与f′(x)f'(x)至多一个零点矛盾。故f(x)f(x)至多有两个零点。

由f′′(x)>0f''(x)>0知ff为严格凹函数,其图形恒在其任一点切线的上方,故:

f(x)≥f(0)+f′(0)x,∀x∈R.f(x) \ge f(0)+f'(0)x,\quad \forall x\in\mathbb{R}.

因f(0)<0f(0)<0, 若f′(0)≥0f'(0)\ge 0, 取x0>0x_0>0充分大可使f(0)+f′(0)x0>0f(0)+f'(0)x_0>0;若f′(0)<0f'(0)<0, 取x0<0x_0<0且∣x0∣|x_0|充分大亦可使该线性函数为正。从而均有f(x0)>0f(x_0)>0。对f(x)f(x)在00与x0x_0之间用连续函数的介值定理,即知至少存在一个零点。

凹函数上,任意两点连线,连线之间的函数图像必然在连线直线的下方。

故有两零点时,由凹性知两零点之间的函数值严格小于0,从而全在xx轴下方。f(0)<0f(0)<0说明原点必在两零点之间。

(2)
若恰有两个零点x1<x2x_1<x_2, 则f(x1)=f(x2)=0f(x_1)=f(x_2)=0。由ff的严格凸性,对任意x∈(x1,x2)x\in(x_1,x_2)有

f(x)<x2−xx2−x1f(x1)+x−x1x2−x1f(x2)=0.f(x) < \frac{x_2-x}{x_2-x_1}f(x_1)+\frac{x-x_1}{x_2-x_1}f(x_2)=0.

已知f(0)<0f(0)<0, 故0∈(x1,x2)0\in(x_1,x_2), 即x1<0<x2x_1<0<x_2, 从而

x1x2<0.x_1x_2<0.

搓到这里现在是2026年7月14日02:27:04。<-这串时间是搜狗输入法打“sj”快捷点出来的。很方便吧。心脏有点难受,感觉要去见张师了。明天再码吧

题型D: 差分、微分、参数方程#

我回来了。心脏不难受了哦。没事哦。

开头我说的

微分嘛,求导

这句话高考里是好使的。但考研不行。现在开始,我们会很快会进入一元函数微分学的深水区。来人,把定义式搬回来!

差分和微分#

f′(x0)=lim⁡Δx→0f(x0+Δx)−f(x0)Δxf'(x_0) = \lim_{\Delta x \to 0} \frac{f(x_0 + \Delta x) - f(x_0)}{\Delta x}

在这个导数定义式中,Δx\Delta x是一个趋向于无穷小的量。趋于无穷小后它才能变成导数。如果没趋于极限,我们称其为差分。

差分的极限是微分
差分的极限是微分

如果我们将定义式的上半部分f(x0+Δx)−f(x0)f(x_0 + \Delta x) - f(x_0)写作Δy\Delta y, 原式变为

f′(x0)=lim⁡Δx→x0ΔyΔx=dydxf'(x_0) = \lim_{\Delta x \to x_{0}} \frac{\Delta y}{\Delta x} = \frac{\mathrm{d}y}{\mathrm{d}x}

这便是dydx\frac{\mathrm{d}y}{\mathrm{d}x}的由来,也是微分式形式上真能当成分数算的一种推导。比如一个看起来很诡异的关系,但实际上完全正确并且你可以直接用的事实是:

yx′=dydx=1dxdy=1xy′y'_x=\frac{\mathrm{d}y}{\mathrm{d}x}=\frac{1}{\frac{\mathrm{d}x}{\mathrm{d}y}}=\frac1{x'_y}

27330:42/90/★★★☆☆#

设严格单调函数y=f(x)y = f(x)有二阶连续导数,其反函数为x=φ(y)x = \varphi(y), 且f(1)=2,f′(1)=2,f′′(1)=3f(1) = 2, f'(1) = 2, f''(1) = 3, 求φ′′(2)\varphi''(2)。

首先,我们要求的:

φ′′(x)=ddxφ′(x)=ddxddxφ(x)\varphi''(x)=\frac{d}{dx}\varphi'(x)=\frac{d }{dx}\frac{d }{dx}\varphi(x)

其次,我们知道两个公式:

ddyx=1/ddxydfdy=dxdy⋅dfdx\begin{align*} \frac{d}{dy}x = 1 / \frac{d}{dx}y \\ \frac{df}{dy}=\frac{dx}{dy} \cdot \frac{df}{dx} \end{align*}

这两个公式都非常有助于转换式子的相关变量。

其实这道题说白了也就是介绍这两个公式,既然都直接放了,那也没什么好解说的了。

解

φ′′(y)=ddyφ′(y)⏟完全关于y=ddy ⁣(1f′(x))=ddx ⁣(1f′(x))⏟完全关于x,可代入⋅dxdy⏟关于y的函数x’(y)=−f′′(x)[f′(x)]2⋅1f′(x)⏟完全关于x,可代入=−f′′(x)[f′(x)]3.\begin{align*} \varphi''(y) &= \underbrace{ \frac{d}{dy}\varphi'(y) }_{\text{完全关于y}} \\ &= \frac{d}{dy}\!\left(\frac{1}{f'(x)}\right) \\ &= \underbrace{ \frac{d}{dx}\!\left(\frac{1}{f'(x)}\right) }_{ \text{完全关于x,可代入} } \cdot \underbrace{ \frac{dx}{dy} }_{ \text{关于y的函数x'(y)} } \\ &= -\frac{f''(x)}{\bigl[f'(x)\bigr]^2} \cdot \underbrace{ \frac{1}{f'(x)} }_{ \text{完全关于x,可代入} } \\ &= -\frac{f''(x)}{\bigl[f'(x)\bigr]^3}. \end{align*}

因为题目给的是具体点(f(1)=2f(1)=2, 即x=1x=1对应y=2y=2),所以直接代入x=1x=1即可。

总之d2xdy2≠1/d2ydx2\frac{d^2x}{dy^2} \neq 1 / \frac{d^2y}{dx^2}。毕竟哪怕是按分数约分这俩也约不开。

代入x=1,  f′(1)=2,  f′′(1)=3x=1,\; f'(1)=2,\; f''(1)=3得

φ′′(2)=−323=−38.\varphi''(2) = -\frac{3}{2^3} = -\frac{3}{8}.

dydx\frac{dy}{dx}的可操作性固然是好的。另一方面,有时候手动构建这种逻辑也是必要的

27330:48/130+/★★★★☆#

设函数yy在任意点xx处的增量满足

Δy=xx2+1Δx−x2x2+1+1Δy+x2+1x2+1+1ΔxΔy,\Delta y = \frac{x}{\sqrt{x^2 + 1}}\Delta x - \frac{x^2}{\sqrt{x^2 + 1} + 1}\Delta y + \frac{\sqrt{x^2 + 1}}{\sqrt{x^2 + 1} + 1}\Delta x\Delta y,

且y(0)=0y(0) = 0, 计算极限lim⁡x→0∫0arctan⁡xy(t)dtx2ln⁡(x+1+x2)\lim_{x \to 0} \frac{\int_{0}^{\arctan x} y(t)\mathrm{d}t}{x^2 \ln(x + \sqrt{1 + x^2})}。

虽然看起来是130+,但其实这道题只要略微理解差分到微分的本质,思路就十分顺滑:

  1. 要计算极限。极限中除了显然是送人头来的分母,就是上面的未知函数y。
  • 这个分母可以通过等价无穷小一步步杀,也可以识别出是反双曲正弦函数,并通过arcsinh⁡x∼x\operatorname{arcsinh} x \sim x一脚踢死。
  1. 既然都大方给了任意满足差分方程,那我们大大方方地取个极限不过分吧
  • 先不要当场就取。复习一下,我们知道的是:
  • lim⁡Δx→x0ΔyΔx=f′(x0)\lim_{\Delta x \to x_{0}} \frac{\Delta y}{\Delta x} = f'(x_0)
  • 所以我们先至少造出一个像样的ΔyΔx\frac{\Delta y}{\Delta x}, 再去取极限。我们就能得到干净的y′(x)y'(x), 然后塞到极限式子里。

解

由题意得

(1+x2x2+1+1)Δy=xx2+1Δx+x2+1x2+1+1ΔxΔy(1+x2x2+1+1)ΔyΔx=xx2+1+x2+1x2+1+1Δy令Δx→0,注意ΔyΔx→y′,Δy→0,得x2+1 y′=xx2+1y′=x1+x2由y(0)=0,两侧积分得y=12ln⁡(1+x2).\begin{align*} \Bigl(1+\frac{x^2}{\sqrt{x^2+1}+1}\Bigr)\Delta y &= \frac{x}{\sqrt{x^2+1}}\Delta x + \frac{\sqrt{x^2+1}}{\sqrt{x^2+1}+1}\Delta x\Delta y \\ \Bigl(1+\frac{x^2}{\sqrt{x^2+1}+1}\Bigr) \frac{\Delta y}{\Delta x} &= \frac{x}{\sqrt{x^2+1}} + \frac{\sqrt{x^2+1}}{\sqrt{x^2+1}+1}\Delta y \\[12pt] \text{令}\Delta x\to0\text{,注意}\frac{\Delta y}{\Delta x}&\to y',\Delta y\to0\text{,得} \\ \sqrt{x^2+1}\, y' &= \frac{x}{\sqrt{x^2+1}} \\ y' &= \frac{x}{1+x^2} \\[12pt] \text{由} y(0)=0 &\text{,两侧积分得} \\ y &= \frac12\ln(1+x^2). \end{align*}

将yy代入极限,当x→0x\to0时,分母中ln⁡(x+1+x2)∼x\ln(x+\sqrt{1+x^2})\sim x, 故分母∼x3\sim x^3。分子是变上限积分,可考虑洛必达法则。

极限为

L=lim⁡x→0∫0arctan⁡x12ln⁡(1+t2) dtx2ln⁡(x+1+x2).L = \lim_{x\to0}\frac{\int_0^{\arctan x} \frac12\ln(1+t^2)\,\mathrm dt}{x^2\ln(x+\sqrt{1+x^2})}.

由ln⁡(x+1+x2)∼x\ln(x+\sqrt{1+x^2})\sim x及arctan⁡x∼x\arctan x\sim x, 并使用洛必达:

L=lim⁡x→012ln⁡(1+arctan⁡2x)⋅11+x22xln⁡(x+1+x2)+x2⋅11+x2=lim⁡x→012arctan⁡2x⋅12x2+x2⋅1=lim⁡x→012x23x2=16.\begin{align*} L &= \lim_{x\to0}\frac{\frac12\ln(1+\arctan^2 x)\cdot\frac{1}{1+x^2}}{2x\ln(x+\sqrt{1+x^2}) + x^2\cdot\frac{1}{\sqrt{1+x^2}}} \\ &= \lim_{x\to0}\frac{\frac12\arctan^2 x\cdot1}{2x^2 + x^2\cdot 1} \\ &= \lim_{x\to0}\frac{\frac12 x^2}{3x^2} = \frac{1}{6}. \end{align*}

题型E: 中值定理#

终于我们来到了微分最深不可测的领域。实话说我放弃了这里大量130+5*的大题。所以也只能浅说一说。

拉格朗日中值定理的desmos示例(点此处跳转)
拉格朗日中值定理的desmos示例(点此处跳转)

拉格朗日中值定理的核心思想很简单。它将函数在区间两端的变化净值(Δy\Delta y),转化为了区间内部某一点的瞬时变化率(导数)。:

若f(x)f(x)在[a,b][a,b]连续,(a,b)(a,b)可导,则至少存在一点ξ∈(a,b)\xi \in (a,b), 使得:

f′(ξ)=f(b)−f(a)(b−a)f'(\xi) = \frac{f(b) - f(a)}{(b-a)}

换句话说,瞬时速度必然在某一刻等于平均速度。从A地开车到B地,如果平均车速是80km/h,那么在此期间你的码表指针必定在某一瞬间指在80km/h上。

以上这条就是拉格朗日中值定理。我们还常用两种中值定理:

  • 罗尔定理

就是分子f(b)−f(a)=0f(b) - f(a)=0的拉格朗日中值。由于公式会变成各种意义上都十分方便的f′(ξ)=0f'(\xi) = 0, 而且计算中经常要凑出这个00才能继续往下算,所以是最常用的。

  • 柯西中值定理:

若f(x),g(x)f(x), g(x)在[a,b][a,b]连续,(a,b)(a,b)可导,且g′(x)≠0g'(x) \neq 0, 则存在一点ξ∈(a,b)\xi \in (a,b), 使得:

f(b)−f(a)g(b)−g(a)=f′(ξ)g′(ξ)\frac{f(b) - f(a)}{g(b) - g(a)} = \frac{f'(\xi)}{g'(\xi)}

本质是参数方程的拉格朗日定理。设曲线的参数方程为x=g(t),y=f(t)x=g(t), y=f(t), 定理说明在曲线上必然存在一点,其切线斜率等于连接起终点的割线斜率。

这三者的推导本质上都是通过构造辅助函数,将其转化为罗尔定理。罗尔定理虽然是最简单的,却也是重要极限一般的存在

积分中值定理则是拉格朗日的另一种马甲,下一章我们说(又是一大天坑啊)。

27330:80/90/★★★★☆#

设f(x)f(x)在[a,b][a,b]上连续,在(a,b)(a,b)内可导,f(a)=f(b)=0f(a)=f(b)=0。证明存在ξ∈(a,b)\xi \in (a,b), 使f′(ξ)+f2(ξ)=0f'(\xi) + f^2(\xi) = 0。

为了让你顺心做这道题,我必须使你注意到:

ddx[  f(x)⋅eG(x)dx  ]=[  f′(x)+f(x)⋅g(x)  ]eG(x)dx\begin{align*} &\frac{d}{dx} \bigl[\;f(x)\cdot e^{ G(x) dx }\;\bigr] \\ =& \bigl[\;f'(x)+f(x)\cdot g(x)\;\bigr] e^{ G(x) dx } \end{align*}

显然,形如fe∫ff e^{\int f}的函数求导后能产生因子e∫f(f′+f2)e^{\int f}(f'+f^2), 恰好可利用f(a)=f(b)=0f(a)=f(b)=0使该函数两端相等,从而用罗尔定理。

构造辅助函数

F(x)=f(x) e∫axf(t) dt,x∈[a,b].F(x) = f(x)\, e^{\int_a^x f(t)\,\mathrm{d}t},\quad x\in[a,b].

由f(x)f(x)连续知∫axf(t) dt\int_a^x f(t)\,\mathrm{d}t可导,且其导数为f(x)f(x);又f(x)f(x)可导,故F(x)F(x)在[a,b][a,b]上连续,在(a,b)(a,b)内可导,且

F′(x)=e∫axf(t) dt[f′(x)+f2(x)].F'(x) = e^{\int_a^x f(t)\,\mathrm{d}t}\bigl[ f'(x) + f^2(x) \bigr].

因f(a)=f(b)=0f(a)=f(b)=0, 有

F(a)=0⋅e0=0,F(b)=0⋅e∫abf(t) dt=0,F(a) = 0\cdot e^0 = 0,\qquad F(b) = 0\cdot e^{\int_a^b f(t)\,\mathrm{d}t}=0,

即F(a)=F(b)F(a)=F(b). 由罗尔定理,存在ξ∈(a,b)\xi\in(a,b)使得F′(ξ)=0F'(\xi)=0. 又e∫aξf(t) dt≠0e^{\int_a^\xi f(t)\,\mathrm{d}t}\neq0, 故

f′(ξ)+f2(ξ)=0.f'(\xi) + f^2(\xi) = 0.

27330:81/90/★★★★☆#

设f(x)f(x)在[0,1][0,1]上可导,对于任意的x∈(0,1]x \in (0,1], 满足f′(x)=f(λx)f'(x) = f(\lambda x), 其中常数λ∈(0,1]\lambda \in (0,1], 且f(0)=0f(0) = 0。证明f(x)f(x)在[0,1][0,1]上恒为零。

条件f′(x)=f(λx)f'(x) = f(\lambda x)将一点的导数与另一点函数值挂钩。由f(0)=0f(0)=0, 反复使用拉格朗日中值定理可将f(x)f(x)表示为一个乘积,用闭区间上连续函数的有界性放缩,令迭代次数趋于无穷即得f(x)=0f(x)=0。

由ff可导知ff在[0,1][0,1]上连续,令M=max⁡[0,1]∣f(x)∣<∞M = \max\limits_{[0,1]} |f(x)| < \infty。

任取x∈(0,1]x \in (0,1]。因f(0)=0f(0)=0, 由拉格朗日中值定理,存在ξn∈(0,x)\xi_n \in (0,x)使

f(x)=f(x)−f(0)=f′(ξ1)x,ξ1∈(0,x)=f(λξ1)xf(λξ1)=f(λξ1)−f(0)=f′(ξ2)λξ1,ξ2∈(0,λξ1)=f(λξ2)λξ1f(λξn)=f(λξn)−f(0)=f′(ξn+1)λξn,ξn+1∈(0,λξn)=f(λξn=1)λξnf(x)=f(λξ1)x,ξ1∈(0,x)=f(λξn)⋅(λξn−1)(λξn−2)⋯(λξ1)x,ξn∈(0,λξn−1)⊆(0,x)=f(λξn)⋅λn−1ξn−1ξn−2⋯ξ1\begin{align*} f(x) &= f(x)-f(0) \\ &= f'(\xi_1) x \qquad ,\xi_{1} \in (0,x)\\ &= f(\lambda \xi_1) x \\[12pt] f(\lambda\xi_{1}) &= f(\lambda\xi_{1})-f(0) \\ &= f'(\xi_2) \lambda\xi_{1} \qquad ,\xi_{2} \in (0,\lambda\xi_{1})\\ &= f(\lambda \xi_2) \lambda\xi_{1} \\[12pt] f(\lambda\xi_{n}) &= f(\lambda\xi_{n})-f(0) \\ &= f'(\xi_{n+1}) \lambda\xi_{n} \qquad ,\xi_{n+1} \in (0,\lambda\xi_{n})\\ &= f(\lambda \xi_{n=1}) \lambda\xi_{n} \\[12pt] f(x) &= f(\lambda \xi_1) x \qquad ,\xi_{1} \in (0,x)\\ &= f(\lambda \xi_{n})\cdot (\lambda \xi_{n-1})(\lambda \xi_{n-2})\cdots (\lambda \xi_{1})x\\ &\qquad ,\xi_{n} \in (0,\lambda\xi_{n-1}) \subseteq (0,x) \\ &= f(\lambda \xi_{n})\cdot\lambda^{n-1}\xi_{n-1}\xi_{n-2}\cdots \xi_{1} \end{align*}

f(x)f(x)在[0,1][0,1]可导,即在[0,1][0,1]有限。设∣f(x)∣|f(x)|在[0,1][0,1]上的最大值为MM。则:

∣f(x)∣=∣f(λξn)⋅λn−1ξn−1ξn−2⋯ξ1∣≤Mλn−1|f(x)|=|f(\lambda \xi_{n})\cdot\lambda^{n-1}\xi_{n-1}\xi_{n-2}\cdots \xi_{1}| \leq M\lambda^{n-1}

当任意值n→∞n\to \infty时,Mλn−1→0M\lambda^{n-1}\to 0, 故∣f(x)∣→0|f(x)|\to 0。

《无尽的拉格朗日》

27330:83/120/★★★★★#

设f(x)f(x)在[0,1][0,1]上具有二阶导数,且满足f(0)=0,f(1)=1,f(12)>14f(0)=0, f(1)=1, f\left(\frac{1}{2}\right) > \frac{1}{4}, 证明: (1) 存在一点ξ∈(0,1)\xi \in (0,1), 使得f′′(ξ)<2f''(\xi) < 2; (2) 若对于任意的x∈(0,1)x \in (0,1), f′′(x)≠2f''(x) \neq 2, 则对于任意的x∈(0,1)x \in (0,1), f(x)>x2f(x) > x^2。

当一个函数满足另一个相似的函数的性质时,我们就应该考虑直接将它与我们想象中的函数相减。就比如(0,0),(12,14),(1,1)(0,0),\left( \frac{1}{2}, \frac{1}{4} \right),(1,1)这样熟悉的三个点。

(1) 构造辅助函数g(x)=f(x)−x2g(x)=f(x)-x^2, 条件转化为g(0)=g(1)=0g(0)=g(1)=0, g(1/2)>0g(1/2)>0。对gg在[0,1/2][0,1/2]和[1/2,1][1/2,1]上分别使用拉格朗日中值定理

(1) 令g(x)=f(x)−x2g(x)=f(x)-x^{2}, 则

g(0)=0,g(1)=0,g ⁣(12)=f ⁣(12)−14>0.g(0)=0,\quad g(1)=0,\quad g\!\left(\frac12\right)=f\!\left(\frac12\right)-\frac14>0.

且有

g(x)=f(x)−x2g′(x)=f′(x)−2xg′′(x)=f′′(x)−2 \begin{align*} g(x)&=f(x)-x^{2} \\ g'(x)&=f'(x)-2x \\ g''(x)&=f''(x)-2 \end{align*}

由拉格朗日中值定理,存在η1∈(0,12),  η2∈(12,1)\eta_{1}\in\left(0,\frac12\right),\; \eta_{2}\in\left(\frac12,1\right)使得

g′(η1)=g(12)−g(0)12=2g ⁣(12)>0g′(η2)=g(1)−g(12)1−12=−2g ⁣(12)<0.\begin{align*} g'(\eta_{1})&=\frac{g(\frac12)-g(0)}{\frac12}=2g\!\left(\frac12\right)>0 \\ g'(\eta_{2})&=\frac{g(1)-g(\frac12)}{1-\frac12}=-2g\!\left(\frac12\right)<0. \end{align*}

显然这两个值还可以继续中值

继而存在ξ∈(η1,η2)⊊(0,1)\xi\in(\eta_{1},\eta_{2})\subsetneq (0,1)使得:

g′(η2)−g′(η1)η2−η1=g′′(ξ)\frac{g'(\eta_{2})-g'(\eta_{1})}{\eta_{2}-\eta_{1}}=g''(\xi)

其中η2−η1>0\eta_{2}-\eta_{1}>0, g′(η2)−g′(η1)<0g'(\eta_{2})-g'(\eta_{1})<0。

于是f′′(ξ1)=g′′(ξ1)+2<2f''(\xi_1)=g''(\xi_1)+2<2, 即存在ξ∈(0,1)\xi\in(0,1)使f′′(ξ)<2f''(\xi)<2.

(2) 我们这里用反证法,再走一遍即可得到矛盾

(2) 假设存在c∈(0,1)c\in (0,1)使得f(c)≤c2f(c)\leq c^{2}, 则:

g(c)=f(c)−c2≤0g(c)=f(c)-c^{2}\leq 0 \\

依旧有g(12)>0g\left( \frac{1}{2} \right)>0, 则由介值定理,必然存在一个χ\chi介于cc和12\frac{1}{2}之间使得g(χ)=0g(\chi)=0。且χ∈(0,1)\chi\in(0,1)。又有g(0)=0,g(1)=0g(0)=0,g(1)=0, 则由罗尔定理∃η3∈(0,χ),η4∈(χ,1)\exists \eta_{3}\in(0,\chi),\eta_{4}\in (\chi,1)使得g′(η3)=g′(η4)=0g'(\eta_{3})=g'(\eta_{4})=0, 继而∃ξ2∈(η3,η4)⊊(0,1)\exists \xi_{2}\in(\eta_{3},\eta_{4})\subsetneq (0,1)使得g′′(ξ2)=0g''(\xi_{2})=0。即f′′(ξ2)=2f''(\xi_{2})=2, 导出矛盾,得证。

批发∃\exists了啊

告一段落…#

关于中值定理另有一些好题 [27330:30], [27330:85] 等篇幅原因不再细说。但中值定理确实是一题一相,完全没有规律可循,而且难题扎堆。我会把中值定理和定积分并列排为数二最高的山最长的河。(幸好数二不考无穷级数 幸灾乐祸.jpg)

其他题型或多或少都可以抓住一点通法,或是实在简单的不行。值得一提的是,相当一部分题我都使用了在参考答案官解(太跳脱难以想到)、AI解说盲解(非常繁琐绕远路)之外的第三种我个人思考下的解法。理解这些所有解法对理解有巨大的帮助。

在此特别感谢Deepseek老师和Gemini老师。我虽然想过,让AI写这篇文章并且自己理解吃透是不是也算是记过笔记了呢,但我发现吃透概念之后自己手痒很难不上手写一段文字,尽管这段文字可能与AI生成文本相比更难让人理解,但..学习嘛,给自己学的。

微分这篇为什么与极限篇比这么长呢?这篇文章占用了约60%以上的文本量写真题,一方面是我认为真题思路和真题训练是最有效的,另一方面是我发现在这一章里我难以总结什么做题技巧,不像极限篇,真的都是公式化套方法,微分能讲的就那么多,题型倒是百花齐放,日后有想法的话可能会回来补一些定理的基础证明(因为基础证明的理解确实对一些ε−δ\varepsilon-\delta语言的题训练是有效的)。

技巧倒也不是除了基础知识一点也写不出。比如遇到某一匿名或复杂函数有意去贴合但微小不同于另一简单函数,这时候大概率就要相减,不过这种东西不知道塞哪比较好…

另外,一些小的desmos示例我保存了,但分享了感觉也没人看,有人要的话我传一下更新一下链接,观感会好很多

【学习笔记】数学笔记其四 · 一元函数微分学
https://blog.emumu.xyz/posts/2026-07-15-00/
作者
月宮絵夢
发布于
2026-07-15
许可协议
CC BY-NC-SA 4.0
Loading...